//
// C++ Interface: chiddecolumns
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CHIDECOLUMNS_H
#define CHIDECOLUMNS_H

#include <QUndoCommand>
#include <QVector>
class QTableView;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class cHideColumns : public QUndoCommand
{
public:
    cHideColumns(const QVector<int> &s,QTableView* t,QUndoCommand* parent=0);

    ~cHideColumns();
    
    virtual void undo();
    virtual void redo();
    
protected:
	QVector<int> spalten;
	QTableView* tab;	

};

#endif
