//
// C++ Interface: cinsertdata
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CINSERTDATA_H
#define CINSERTDATA_H

#include <QUndoCommand>
#include <QModelIndex>

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class cInsertData : public QUndoCommand
{
public:
    cInsertData(const QModelIndex &idx,const QVariant &oldData,const QVariant &newData,QUndoCommand* parent=0);

    ~cInsertData();

    virtual void redo();
    virtual void undo();
    
protected:
	QModelIndex index;
	QVariant oldData,newData;

};

#endif
