//
// C++ Implementation: haeufigkeitsprozentmultidiagramadapter
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "haeufigkeitsprozentmultidiagramadapter.h"
#include "diagram.h"

#include <algorithm>
#include <numeric>

HaeufigkeitsProzentMultiDiagramAdapter::HaeufigkeitsProzentMultiDiagramAdapter()
 : HaeufigkeitsMultiDiagramAdapter()
{
}


HaeufigkeitsProzentMultiDiagramAdapter::~HaeufigkeitsProzentMultiDiagramAdapter()
{
}


void HaeufigkeitsProzentMultiDiagramAdapter::processData(QVector< double >::iterator b, QVector< double >::iterator e)
{
	using namespace std;
	double sum = std::accumulate(b,e,0.0);
	transform(b,e,b,bind2nd(divides<double>(),sum/100.0));
	td->setValuePostfix("%"); // Diagram auf Prozentangabe einstellen
}

