//
// C++ Interface: modelaenlichkeitstabelle
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef MODELAENLICHKEITSTABELLE_H
#define MODELAENLICHKEITSTABELLE_H

#include <modelclient.h>

#include <QTableWidget>

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class ModelAenlichkeitsTabelle : public ModelClient
{
	Q_OBJECT

public:
    ModelAenlichkeitsTabelle();

    ~ModelAenlichkeitsTabelle();
    
    void setSpalten(const QVector<int> &spalten);
    void setModel(QStandardItemModel *m);
    
public slots:
        void updateDiagram();

protected:
	QVector<int> Spalten;
	QTableWidget *table;

};

#endif
