//
// C++ Interface: tabellendiagramm
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef TABELLENDIAGRAMM_H
#define TABELLENDIAGRAMM_H

#include <diagram.h>

class QTableWidget;
class QLabel;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class TabellenDiagramm : public Diagram
{
Q_OBJECT
public:
    TabellenDiagramm(QWidget* parent=0);

    ~TabellenDiagramm();
    
public slots:
	void setData(const QVector< double >& d);
	
protected:
	void paintEvent( QPaintEvent *ev);
	void updateData();
    
protected:
	QTableWidget *tab;
	QLabel *lTitle;

};

#endif
